%global		__requires_exclude pear\\(PHPUnit/Framework.php\\)
%define		_class		Math
%define		_subclass	Matrix
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear



Name:		php-pear-%{upstream_name}
Version:	0.8.7
Release:	%mkrel 7
Summary:	Class to represent matrices and matrix operations
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Math_Matrix/
Source0: 	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.5.6
Requires: 	php-pear-Math_Vector >= 0.7.0
BuildArch:	noarch



%description
Matrices are represented as 2 dimensional arrays of numbers. 
This class defines methods for matrix objects, as well as static methods 
to read, write and manipulate matrices, including methods to solve systems 
of linear equations (with and without iterative error correction).
Requires the Math_Vector package.
For running the unit tests you will need PHPUnit version 0.6.2 or older.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Math_Matrix.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Math_Matrix.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Math_Matrix
fi

%files
%doc docs/Math_Matrix/*
%{peardir}/*
%{xmldir}/Math_Matrix.xml


%changelog
* Fri Feb 05 2016 umeabot <umeabot> 0.8.7-7.mga6
+ Revision: 938032
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.8.7-6.mga5
+ Revision: 740518
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 0.8.7-5.mga5
+ Revision: 734085
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.7-4.mga5
+ Revision: 687346
- Mageia 5 Mass Rebuild

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Sat Oct 19 2013 umeabot <umeabot> 0.8.7-3.mga4
+ Revision: 528143
- Mageia 4 Mass Rebuild

* Sat Jun 15 2013 spuhler <spuhler> 0.8.7-2.mga4
+ Revision: 443516
- added %%define _requires_exceptions pear(PHPUnit/Framework.php)

* Sat Jun 15 2013 spuhler <spuhler> 0.8.7-1.mga4
+ Revision: 443473
- upgrade to version 0.8.7
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.8.5-14.mga3
+ Revision: 376883
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.8.5-13.mga1
+ Revision: 43391
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Math_Matrix


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-13mdv2011.0
+ Revision: 613713
- the mass rebuild of 2010.1 packages

* Wed Nov 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.5-12mdv2010.1
+ Revision: 470157
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.8.5-11mdv2010.0
+ Revision: 441343
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-10mdv2009.1
+ Revision: 322364
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-9mdv2009.0
+ Revision: 236943
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Apr 20 2007 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-8mdv2008.0
+ Revision: 15470
- rule out the PHPUnit.php dep


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdv2007.0
+ Revision: 82150
- Import php-pear-Math_Matrix

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.5-1mdk
- initial Mandriva package (PLD import)

